FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111151318.p0.gcfc16ec.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202111151318.p0.gcfc16ec.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cfc16ec OS_GIT_VERSION=4.9.0-202111151318.p0.gcfc16ec.assembly.stream-cfc16ec SOURCE_DATE_EPOCH=1630359270 SOURCE_GIT_COMMIT=cfc16ec90b08c2ac3ab7d9c1b41917ac9572709f SOURCE_GIT_TAG=cfc16ec9 SOURCE_GIT_URL=https://github.com/operator-framework/operator-marketplace 
WORKDIR /go/src/github.com/operator-framework/operator-marketplace
COPY . .
RUN make osbs-build

FROM openshift/ose-base:v4.9.0.20211115.131845
ENV __doozer=update BUILD_RELEASE=202111151318.p0.gcfc16ec.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202111151318.p0.gcfc16ec.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cfc16ec OS_GIT_VERSION=4.9.0-202111151318.p0.gcfc16ec.assembly.stream-cfc16ec SOURCE_DATE_EPOCH=1630359270 SOURCE_GIT_COMMIT=cfc16ec90b08c2ac3ab7d9c1b41917ac9572709f SOURCE_GIT_TAG=cfc16ec9 SOURCE_GIT_URL=https://github.com/operator-framework/operator-marketplace 
RUN useradd marketplace-operator
USER marketplace-operator
COPY --from=builder /go/src/github.com/operator-framework/operator-marketplace/build/_output/bin/marketplace-operator /usr/bin
ADD manifests /manifests
ADD defaults /defaults
USER root
RUN if test "$(arch)" = "aarch64"; then sed -i '/defaultsDir/d' /manifests/09_operator.yaml; fi
USER marketplace-operator


# entrypoint specified in operator.yaml as `marketplace-operator`
CMD ["/usr/bin/marketplace-operator"]

LABEL \
        io.k8s.display-name="OpenShift Marketplace Operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the OpenShift Marketplace." \
        io.openshift.tags="openshift,marketplace" \
        io.openshift.release.operator="true" \
        maintainer="AOS Marketplace <aos-marketplace@redhat.com>" \
        name="openshift/ose-operator-marketplace" \
        com.redhat.component="marketplace-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="OLM" \
        release="202111151318.p0.gcfc16ec.assembly.stream" \
        io.openshift.build.commit.id="cfc16ec90b08c2ac3ab7d9c1b41917ac9572709f" \
        io.openshift.build.source-location="https://github.com/operator-framework/operator-marketplace" \
        io.openshift.build.commit.url="https://github.com/operator-framework/operator-marketplace/commit/cfc16ec90b08c2ac3ab7d9c1b41917ac9572709f" \
        version="v4.9.0"

